当前位置: 首页>>代码示例>>C#>>正文


C# GH_Component.AddCurveParameter方法代码示例

本文整理汇总了C#中GH_Component.AddCurveParameter方法的典型用法代码示例。如果您正苦于以下问题:C# GH_Component.AddCurveParameter方法的具体用法?C# GH_Component.AddCurveParameter怎么用?C# GH_Component.AddCurveParameter使用的例子?那么, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在GH_Component的用法示例。


在下文中一共展示了GH_Component.AddCurveParameter方法的15个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。

示例1: RegisterInputParams

 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("A", "A", "The first polyline", GH_ParamAccess.item);
       pManager.AddCurveParameter("B", "B", "The second polyline", GH_ParamAccess.item);
       pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default(Plane));
       pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance);
 }
开发者ID:JIMMMMMMY,项目名称:clipper,代码行数:10,代码来源:MinkowskiSumComponent.cs

示例2: RegisterInputParams

        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("Curve", "A", "", GH_ParamAccess.list);
            pManager.AddCurveParameter("Curve", "B", "", GH_ParamAccess.list);
            pManager.AddPlaneParameter("Plane", "P", "", GH_ParamAccess.item);

            pManager[2].Optional = true;
        }
开发者ID:olitur,项目名称:Bowerbird,代码行数:8,代码来源:BBIntersectionComponent.cs

示例3: RegisterOutputParams

        protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
        {
            pManager.AddCurveParameter("Slices A", "A", "", GH_ParamAccess.tree);
            pManager.AddCurveParameter("Slices Z", "Z", "", GH_ParamAccess.tree);
            pManager.AddPlaneParameter("Section planes A", "PA", "", GH_ParamAccess.tree);
            pManager.AddPlaneParameter("Section planes Z", "PZ", "", GH_ParamAccess.tree);

            pManager[2].Locked = true;
            pManager[3].Locked = true;
        }
开发者ID:olitur,项目名称:Bowerbird,代码行数:10,代码来源:BBRadialComponent.cs

示例4: RegisterOutputParams

 /// <summary>
 /// Registers all the output parameters for this component.
 /// </summary>
 protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
 {
     pManager.AddBrepParameter("Unrolled Breps", "UnrolledBreps", "Unrolled Breps", GH_ParamAccess.tree); //0
     pManager.AddPlaneParameter("Planes for Orientation", "OrientPlanes", "1st item origin plane, 2nd item target plane", GH_ParamAccess.tree); //1
     pManager.AddCurveParameter("Shared Curves", "SharedCrv", "Shared Curves between Stripes", GH_ParamAccess.tree); //2
     pManager.AddPointParameter("Points", "P", "Points unrolled with Brep", GH_ParamAccess.tree);//3
 }
开发者ID:GeneKao,项目名称:Pavilion2015_ITECH,代码行数:10,代码来源:GHC_Unroller.cs

示例5: RegisterOutputParams

 /// <summary>
 /// Registers all the output parameters for this component.
 /// </summary>
 protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
 {
     pManager.AddCurveParameter("Struts", "Struts", "Cleaned curve network.", GH_ParamAccess.list);
     pManager.AddPointParameter("Nodes", "Nodes", "List of unique nodes.", GH_ParamAccess.list);
     pManager.AddIntegerParameter("CurveStart", "I", "Index in 'Nodes' for the start of each curve in 'Struts'.", GH_ParamAccess.list);
     pManager.AddIntegerParameter("CurveEnd", "J", "Index in 'Nodes' for the end of each curve in 'Struts'.", GH_ParamAccess.list);
 }
开发者ID:smor,项目名称:intralattice,代码行数:10,代码来源:CleanNetworkComponent.cs

示例6: RegisterInputParams

 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Struts", "Struts", "Wireframe to thicken", GH_ParamAccess.list);
     pManager.AddTextParameter("Gradient String", "Grad", "The spatial gradient as an expression string", GH_ParamAccess.item, "0");
     pManager.AddNumberParameter("Maximum Radius", "Rmax", "Maximum radius in gradient", GH_ParamAccess.item, 0.5);
     pManager.AddNumberParameter("Minimum Radius", "Rmin", "Minimum radius in gradient", GH_ParamAccess.item, 0.2);
 }
开发者ID:smor,项目名称:intralattice,代码行数:10,代码来源:HeterogenGradientComponent.cs

示例7: RegisterInputParams

 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddGenericParameter("Topology", "Topo", "Unit cell topology", GH_ParamAccess.item);
     pManager.AddSurfaceParameter("Surface", "Surf", "Surface to conform to", GH_ParamAccess.item);
     pManager.AddCurveParameter("Axis", "A", "Axis (may be curved)", GH_ParamAccess.item);
     pManager.AddIntegerParameter("Number u", "Nu", "Number of unit cells (u)", GH_ParamAccess.item, 5);
     pManager.AddIntegerParameter("Number v", "Nv", "Number of unit cells (v)", GH_ParamAccess.item, 5);
     pManager.AddIntegerParameter("Number w", "Nw", "Number of unit cells (w)", GH_ParamAccess.item, 5);
     pManager.AddBooleanParameter("Morph", "Morph", "If true, struts are morphed to the space as curves.", GH_ParamAccess.item, false);
 }
开发者ID:smor,项目名称:intralattice,代码行数:13,代码来源:ConformSAComponent.cs

示例8: RegisterInputParams

 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Lines", "L", "Wireframe to thicken", GH_ParamAccess.list);
     pManager.AddIntegerParameter("Sides", "S", "Number of sides for the struts", GH_ParamAccess.item, 6);
     pManager.AddNumberParameter("Start Radius", "Rs", "Radius at the start of each line", GH_ParamAccess.list);
     pManager.AddNumberParameter("End Radius", "Re", "Radius at the end of each line", GH_ParamAccess.list);
     pManager.AddNumberParameter("Node Depth", "N", "Offset depth for nodes", GH_ParamAccess.item);
     pManager.AddNumberParameter("Division", "D", "Segment division length", GH_ParamAccess.item);
     pManager.AddBooleanParameter("Open", "O", "If true, nodes with only one connected strut will be left open", GH_ParamAccess.item, false);
 }
开发者ID:nsbcnjsbc,项目名称:Exoskeleton2,代码行数:10,代码来源:ExoWireframe.cs

示例9: RegisterOutputParams

        /// <summary>
        /// Registers all the output parameters for this component.
        /// </summary>
        protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
        {
            pManager.AddPointParameter("Centre Points L01", "Centers01", "Centre Points L01", GH_ParamAccess.tree); //0
            pManager.AddPointParameter("Centre Points L02", "Centers02", "Centre Points L02", GH_ParamAccess.tree); //1
            pManager.AddCurveParameter("Curves", "Curves", "Curves", GH_ParamAccess.tree); //2
            pManager.AddCurveParameter("PlateCurves", "PlateCrvs", "Curves", GH_ParamAccess.tree); //3
            pManager.AddPointParameter("Pentagon Points L01", "PentPtsL01", "planar pentagon like shape at L01", GH_ParamAccess.tree);//4
            pManager.AddPointParameter("Pentagon Points L02", "PentPtsL02", "planar pentagon like shape at L02", GH_ParamAccess.tree);//5
            pManager.AddIntegerParameter("Stripe Indentification", "StripeIdx", "Identification Numbers for each Stripe of a Component", GH_ParamAccess.tree);//6

            pManager.AddBrepParameter("Stipe Geometry", "StripeGeo", "Geometry for each Stripe of a Component", GH_ParamAccess.tree);//7
            pManager.AddPlaneParameter("Stipe Intersection Planes", "StripXPlanes", "Stipe planes for each Stripe of a Component", GH_ParamAccess.tree);//8

            //// =======================================================================================
            // Added by Gene
            pManager.AddCurveParameter("ExtendedCurves", "ExtendedCurves", "ExtendedCurves", GH_ParamAccess.tree); //9
            pManager.AddBrepParameter("SingleStripeBreps", "SingleStripeBreps", "SingleStripeBreps", GH_ParamAccess.tree); //10
            //// =======================================================================================
        }
开发者ID:GeneKao,项目名称:Pavilion2015_ITECH,代码行数:22,代码来源:GHC_04_Explode.cs

示例10: RegisterInputParams

        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("Curves", "C", "Curves to offset", GH_ParamAccess.list);
            pManager.AddNumberParameter("Distance", "D", "Offset distance", GH_ParamAccess.item);
            pManager.AddPlaneParameter("Plane", "P", "Plane for offset operation", GH_ParamAccess.item);
            pManager.AddIntegerParameter("End Type", "E", "0 = Round\n1 = Square\n2 = Butt", GH_ParamAccess.item, 0);
            pManager.AddIntegerParameter("Join Type", "J", "0 = Round\n1 = Square\n2 = Miter", GH_ParamAccess.item, 0);
            pManager.AddNumberParameter("Miter Limit", "M", "", GH_ParamAccess.item, 10.0);
            pManager.AddNumberParameter("Arc Tolerance", "A", "The maximum distance that the flattened path will deviate from the 'true' arc", GH_ParamAccess.item, 0.01);

            pManager[2].Optional = true;
        }
开发者ID:olitur,项目名称:Bowerbird,代码行数:12,代码来源:BBOffsetComponent.cs

示例11: RegisterOutputParams

        /// <summary>
        /// Registers all the output parameters for this component.
        /// </summary>
        protected override void RegisterOutputParams(GH_Component.GH_OutputParamManager pManager)
        {
            pManager.AddPointParameter("Sofistik Points", "Points", "Points for Sofistik", GH_ParamAccess.tree);//0
            pManager.AddIntegerParameter("Sofistik Indexies", "PointIdxs", "Indexies for Sofistik", GH_ParamAccess.tree);//1

            pManager.AddPointParameter("Sofistik Curve Points", "CrvPoints", "Curve Points for Sofistik", GH_ParamAccess.tree);//2
            pManager.AddIntegerParameter("Sofistik Curve Indexies", "CrvPointIdxs", "Curve Indexies for Sofistik", GH_ParamAccess.tree);//3

            pManager.AddBrepParameter("Sofistik Breps", "Breps", "Surfaces from each Component", GH_ParamAccess.tree); //4
            pManager.AddIntegerParameter("Sofistik Breps Indexies", "BrepsIdx", "Breps Indexies for Sofistik", GH_ParamAccess.tree);//5
            pManager.AddCurveParameter("Sofistik Curves", "Curves", "All Curves for Sofistik", GH_ParamAccess.tree);//6
        }
开发者ID:GeneKao,项目名称:Pavilion2015_ITECH,代码行数:15,代码来源:GHC_03_Sofistik.cs

示例12: RegisterInputParams

        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("Baseline", "Line", "Baseline of the wall", GH_ParamAccess.item);
            int b = pManager.AddTextParameter("Layer", "Layer", "Layer name", GH_ParamAccess.item);
            int c = pManager.AddTextParameter("Style", "Style", "Wallstyle name", GH_ParamAccess.item);
            pManager.AddNumberParameter("Height", "Height", "Wall height", GH_ParamAccess.item);

            int a = pManager.AddGenericParameter("Parameters", "Param", "Parameters", GH_ParamAccess.list);
            pManager[a].Optional = true;
            pManager[b].Optional = true;
            pManager[c].Optional = true;
        }
开发者ID:samuto,项目名称:Grevit,代码行数:12,代码来源:AutoCad.Components.cs

示例13: RegisterInputParams

        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            // set the message for this component.
              pManager.AddCurveParameter("Polylines", "P", "A list of polylines to offset", GH_ParamAccess.list);
              pManager.AddNumberParameter("Distance", "D", "Offset Distance", GH_ParamAccess.item);
              pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default(Plane));

              pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance);
            //public enum ClosedFilletType { Round, Square, Miter }
              pManager.AddIntegerParameter("ClosedFillet", "CF", "Closed fillet type (0 = Round, 1 = Square, 2 = Miter)", GH_ParamAccess.list, new List<int> { 1 });
              ////public enum OpenFilletType { Round, Square, Butt }
              pManager.AddIntegerParameter("OpenFillet", "OF", "Open fillet type (0 = Round, 1 = Square, 2 = Butt)", GH_ParamAccess.list, new List<int> { 1 });
              pManager.AddNumberParameter("Miter", "M", "If closed fillet type of Miter is selected: the maximum extension of a curve is Distance * Miter", GH_ParamAccess.item, 2);
        }
开发者ID:JIMMMMMMY,项目名称:clipper,代码行数:17,代码来源:OffsetComponent.cs

示例14: RegisterInputParams

        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("Curve", "Curves", "A List of Curves", GH_ParamAccess.list);

            pManager.AddIntegerParameter("mainSegmentCount", "Seg", " If mainSegmentCount <= 0, then both subSegmentCount and mainSegmentCount are ignored. If mainSegmentCount > 0, then subSegmentCount must be >= 1. In this case the nurb will be broken into mainSegmentCount equally spaced chords. If needed, each of these chords can be split into as many subSegmentCount sub-parts if the subdivision is necessary for the mesh to meet the other meshing constraints. In particular, if subSegmentCount = 0, then the curve is broken into mainSegmentCount pieces and no further testing is performed.", GH_ParamAccess.item, 0);
            pManager.AddIntegerParameter("subSegmentCount", "subSeg", "An amount of subsegments.", GH_ParamAccess.item, 0);
            pManager.AddNumberParameter("maxAngleRadians", "maxAngle", "( 0 to pi ) Maximum angle (in radians) between unit tangents at adjacent vertices.", GH_ParamAccess.item, 0.05);
            pManager.AddNumberParameter("maxChordLengthRatio", "maxChord", "Maximum permitted value of (distance chord midpoint to curve) / (length of chord).", GH_ParamAccess.item, 0.1);
            pManager.AddNumberParameter("maxAspectRatio", "maxAspect", "If maxAspectRatio < 1.0, the parameter is ignored. If 1 <= maxAspectRatio < sqrt(2), it is treated as if maxAspectRatio = sqrt(2). This parameter controls the maximum permitted value of (length of longest chord) / (length of shortest chord).", GH_ParamAccess.item, 0);
            pManager.AddNumberParameter("tolerance", "tol", "If tolerance = 0, the parameter is ignored. This parameter controls the maximum permitted value of the distance from the curve to the polyline.", GH_ParamAccess.item, 0);
            pManager.AddNumberParameter("minEdgeLength", "minEdge", "The minimum permitted edge length.", GH_ParamAccess.item, 0.1);
            pManager.AddNumberParameter("maxEdgeLength", "maxEdge", "If maxEdgeLength = 0, the parameter is ignored. This parameter controls the maximum permitted edge length.", GH_ParamAccess.item, 0);
            pManager.AddBooleanParameter("keepStartPoint", "SPt?", "If true the starting point of the curve is added to the polyline. If false the starting point of the curve is not added to the polyline.", GH_ParamAccess.item, true);
        }
开发者ID:samuto,项目名称:Silkworm,代码行数:17,代码来源:SegmentComponent.cs

示例15: RegisterInputParams

        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("Profile", "Profile", "Wall Profile", GH_ParamAccess.list);
            pManager.AddTextParameter("Type", "Type", "Type name", GH_ParamAccess.item);
            pManager.AddTextParameter("Level", "Level", "Level name", GH_ParamAccess.item);

            int a = pManager.AddGenericParameter("Parameters", "Param", "Parameters", GH_ParamAccess.list);
            pManager[a].Optional = true;
        }
开发者ID:samuto,项目名称:Grevit,代码行数:9,代码来源:Revit.Components.cs


注:本文中的GH_Component.AddCurveParameter方法示例由纯净天空整理自Github/MSDocs等开源代码及文档管理平台,相关代码片段筛选自各路编程大神贡献的开源项目,源码版权归原作者所有,传播和使用请参考对应项目的License;未经允许,请勿转载。